3D Modelling Animation: Gingerbread Family
------------------------------------------

Final Result
------------
![111](/uploads/400d1e0759ade93793484346ec890a5d/111.png)
Link: https://www.youtube.com/watch?v=Wcsz3wcfxwY

Description
-------------
Project for the subject 3D Graphics and Modelling on University College Cork. The work consist on creating a short CG Animation using the open software Blender. The short-film will be based on a Gingerbread Family story that occurs on the UCC Quad. Besides, there has to be original characters created from scratch.


Rigged Avatars
--------------
Three original humanoid avatars were created: gingerboy, gingerman and gingergirl.
These avatars are fully rigged. All of them are controllable
using inverse kinematics in both their feet, hands and head. Several original decorations
were added to the characters. Gingergirl wears a skirt that uses hair-particles to appear fluffy.
Gingerman smokes a pipe and wears a top-hat. Gingerboy wears a santa-claus hat. In the final scenes
gingerboy additionally wears a cloak that uses cloth simulation to stick to his shoulders.
Their surface mesh is smoothened using subdivision modifiers. Their body has a custom material that uses an image texture for color
and a randomly generated texture for bump. They were UV unwrapped to apply the image texture.
During the rigging process all parented objects had to be merged
with the main body, unfortunately both the cloth and particle effects were lost. 
The unrigged version of the scene was kept as a backup.

Snow and Gifts Rain
-------------------
Snowfall is generated by a plane emitting spheric white particles. On the surface of the UCC main building and the Quad snow was added.
Snow is a procedurally generated texture which adds random bump and sparkling white colors on top of the object which it is added to. Santa Claus sleigh emits presents onto the scene as he flies by. This is also achieved using particle simulations with a present object as source.


Christmas Lights
----------------
Christmas lights are an array of light bulbs that can be controlled by a bezier-curve.
The bezier curve was laid alongside the whole of UCC main building. The material for
the light bulb is an emitter with randomly selected color. In order for each light bulb to have
its own random color the array had to be split in hundreds of objects.


Fireworks
---------
Fireworks are generated by adding multiple 1-Frame particle emitters on top of a sphere.
The particle simulations have different speeds, directions, gravity, colors and physics type.
Their brightness is achieved by adding blooming to the whole scene. The fireworks display
is achieved by copying the firework and offsetting the start of the particle simulation.

Cloth Simulation
----------------
In scene 9 a cloak falls on top of gingerboy. The collission property had to be added to
the body and parented objects of the gingerboy for the cloak to not fall through him.
The speed of the simulation had to be adapted to give the appearance of a light-weight piece of cloth.


Lighting and Camera
-------------------
Lighting of the scene is mostly achieved by shining spotlights on the facade of UCC main building,
in order to imitate the original main building at late evening. Several cameras were used to capture the scenes: closeup, wideshot and longshot. Sweeping cameras were added as a transition between the shots. 

Rendering
---------
Everything was rendered using Cycles to get high quality lighting and texture effects.
As this render engine is compute intensive, still scenes were created by looping shorter snippets.
As the lighting was setup in evee brightness was initially way off when the rendering engine was switched.
Color correction was used to reduce the brightness in cycles and make it equal to evee. Unfortunately 
the heaven turned grey as a side effect. Filters like denoising are used to increase the quality of 
the render. All simulations were baked to increase the render speed.

Composition
-----------
The snippets were composed in blender movie editor. a movie intro was appended as well as credits.
The fireworks display was overlaid with a transparent image of the skyline of shanghai as a matting effect.
Transition between the last scene from UCC and the fireworks display is achieved by a crossfade. Color correction
was again used on the scenes from UCC to fine-tune the brightness values.
Subtitles were added as text on the bottom of the rendered videos to give depth to the story.
Music and sound effects were added to the whole scene.

Attribution
-----------
* UCC quad : https://3dwarehouse.sketchup.com/model/6462d7654febede2b26f9a938223dcc5/The-Main-Quad-University-College-Cork?hl=en
* Christmas tree: https://resources.blogscopia.com/2015/04/15/christmas-tree/
* Snowman: https://www.turbosquid.com/3d-models/3d-snowman-1479748
* Santa Claus: https://free3d.com/3d-model/santa-claus-v1--484984.html
* Sleigh: https://free3d.com/3d-model/sleigh-v3--372228.html
* Reindeer: https://free3d.com/3d-model/reindeer-v1--219610.html
* Gifts: https://free3d.com/3d-model/stack-of-gifts-v2--589991.html
* Wreath: https://free3d.com/3d-model/wreath-v2--585248.html
* Movie: https://www.youtube.com/watch?v=y6iR3rnarOo
* Dancing music: https://www.youtube.com/watch?v=0byH9h1ClBY
* Magic sound effect: https://www.youtube.com/watch?v=FmEiTpMCur8
* Santa Claus sound effect: https://www.youtube.com/watch?v=rSKt9SPqihQ
* Firework sound effect: https://www.youtube.com/watch?v=AZpIjsKluK4
* Background music: https://www.youtube.com/watch?v=25YY3RKGZZE
* Party time sound effect: https://www.youtube.com/watch?v=0N-S8K7EIYI
* shanghai skyline: https://p7.hiclipart.com/preview/449/119/761/oriental-pearl-tower-silhouette-cartoon-city-silhouette.jpg
* Cloth texture: https://yangprints.com/media/20191203/thumb/Funny-Yang-GiftWrap.jpg
* Gingerbread texture: https://media.istockphoto.com/photos/gingerbread-texture-for-background-picture-id941587472?b=1&k=6&m=941587472&s=170x170&h=gnj0ARE_zoBhbOdyW4c16m_2oPYDtls0OjZYOS9Kojg=

Author
-------
JIAYING ZHANG